﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class AggregationCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private AggregationCommandView()
      : base() {
      InitializeComponent();
    }

    public AggregationCommandView(AggregateCommandBase command)
      : this() {
      this.Command = command;
    }

    public new AggregateCommandBase Command {
      get { return (AggregateCommandBase)base.Command; }
      protected set { base.Command = value; this.UpdateCommand(); }
    }

    public bool ChangeNullValueOnly {
      get { return this.Command.ChangeNullValueOnly; }
    }

    private void chbChangeNullValues_CheckedChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null)
        this.Command.ChangeNullValueOnly = this.chbChangeNullValues.Checked;
    }
  }
}
